Qyra
ReferenceMetrics Explorer

Compile metric total query

Compile the metric total query SQL

POST/api/v1/projects/{projectUuid}/metricsExplorer/{explore}/{metric}/compileMetricTotalQuery

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
explorestringYes
metricstringYes

Query parameters

NameTypeRequiredDescription
timeFramestringYes
granularitystringYes
startDatestringYes
endDatestringYes

Request body

{
  "rollingDays": 0,
  "comparisonType": "none"
}

Responses

200 — Success

{
  "results": {
    "compilationErrors": [
      "string"
    ],
    "parameterReferences": [
      "string"
    ],
    "pivotQuery": "string",
    "query": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}